<?php
/*
Каталог книг.
Автор: Стаценко Владимир
site: http://www.simplecoding.org
*/
class Catalog extends Controller {
    
    function Catalog() {
        parent::Controller();
        $this->load->scaffolding('books');
        $this->load->model('catalogmodel');
    }
    
    function index() {
        $pageData['title'] = "Каталог книг - главная";
        $pageData['books'] = $this->catalogmodel->getAllBooks();
        if ($pageData['books'] == false) {
            $pageData['errDescription'] = "Книги не найдены";
        }
        $this->load->view("main", $pageData);
    }
    
    function bookdetails($bookid) {
        $pageData['bookdetails'] = $this->catalogmodel->getBookDetails($bookid);
        if ($pageData['bookdetails'] == false) {
            $pageData['errDescription'] = "Выбранная книга не найдена";
        }
        $pageData['title'] = $pageData['bookdetails']['title'];
        $this->load->view("bookdetails", $pageData);
    }
}
?>